[arch-commits] Commit in rclone/repos/community-x86_64 (PKGBUILD PKGBUILD)

Felix Yan felixonmars at archlinux.org
Mon Sep 2 03:29:31 UTC 2019


    Date: Monday, September 2, 2019 @ 03:29:30
  Author: felixonmars
Revision: 506423

archrelease: copy trunk to community-x86_64

Added:
  rclone/repos/community-x86_64/PKGBUILD
    (from rev 506422, rclone/trunk/PKGBUILD)
Deleted:
  rclone/repos/community-x86_64/PKGBUILD

----------+
 PKGBUILD |  106 ++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 53 insertions(+), 53 deletions(-)

Deleted: PKGBUILD
===================================================================
--- PKGBUILD	2019-09-02 03:29:20 UTC (rev 506422)
+++ PKGBUILD	2019-09-02 03:29:30 UTC (rev 506423)
@@ -1,53 +0,0 @@
-# Maintainer: Felix Yan <felixonmars at archlinux.org>
-
-pkgname=rclone
-pkgver=1.48.0
-pkgrel=2
-pkgdesc="Sync files to and from Google Drive, S3, Swift, Cloudfiles, Dropbox and Google Cloud Storage"
-arch=('x86_64')
-url="https://rclone.org/"
-license=('MIT')
-depends=('glibc')
-makedepends=('python2' 'pandoc' 'go-pie' 'git')
-source=("$pkgname-$pkgver.tar.gz::https://github.com/ncw/rclone/archive/v$pkgver.tar.gz")
-sha512sums=('038a72cc386c427646d2a4765664e42679fd647a878d44148a0019c8164ec60f1a2788ae0d228b166c3245fc1df6f0045c681e51e8bf2b06ef74215984dd97b5')
-
-prepare() {
-  cd rclone-$pkgver
-
-  sed -i "1s/python$/&2/" bin/make_manual.py bin/make_backend_docs.py
-
-  mkdir -p .gopath/src/github.com/ncw
-  ln -sf "$PWD" .gopath/src/github.com/ncw/rclone
-  export GOPATH="$PWD/.gopath"
-
-  go get github.com/ncw/rclone
-}
-
-build() {
-  cd rclone-$pkgver/.gopath/src/github.com/ncw/rclone
-
-  PATH="$GOPATH/bin:$PATH" make TAG=v$pkgver rclone rclone.1 MANUAL.html MANUAL.txt
-
-  ./rclone genautocomplete bash rclone.bash_completion
-  ./rclone genautocomplete zsh rclone.zsh_completion
-}
-
-check() {
-  cd rclone-$pkgver/.gopath/src/github.com/ncw/rclone
-  make TAG=v$pkgver test || warning "Tests failed"
-}
-
-package() {
-  cd rclone-$pkgver/.gopath/src/github.com/ncw/rclone
-  make TAG=v$pkgver DESTDIR="$pkgdir" install
-
-  install -Dm644 rclone.bash_completion "$pkgdir"/usr/share/bash-completion/completions/rclone
-  install -Dm644 rclone.zsh_completion "$pkgdir"/usr/share/zsh/site-functions/_rclone
-
-  install -Dm644 COPYING "$pkgdir"/usr/share/licenses/$pkgname/COPYING
-
-  install -Dm644 rclone.1 "$pkgdir"/usr/share/man/man1/rclone.1
-  install -d "$pkgdir"/usr/share/doc/$pkgname
-  install -t "$pkgdir"/usr/share/doc/$pkgname -m644 MANUAL.html MANUAL.txt
-}

Copied: rclone/repos/community-x86_64/PKGBUILD (from rev 506422, rclone/trunk/PKGBUILD)
===================================================================
--- PKGBUILD	                        (rev 0)
+++ PKGBUILD	2019-09-02 03:29:30 UTC (rev 506423)
@@ -0,0 +1,53 @@
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+
+pkgname=rclone
+pkgver=1.49.1
+pkgrel=1
+pkgdesc="Sync files to and from Google Drive, S3, Swift, Cloudfiles, Dropbox and Google Cloud Storage"
+arch=('x86_64')
+url="https://rclone.org/"
+license=('MIT')
+depends=('glibc')
+makedepends=('python2' 'pandoc' 'go-pie' 'git')
+source=("$pkgname-$pkgver.tar.gz::https://github.com/rclone/rclone/archive/v$pkgver.tar.gz")
+sha512sums=('05b864932fdec7d1bc7185a4e2d33b7bd06b840399f100b1f58806e2ab6f752e4b7cb0f2691cfa92785f45b2f587aebaf7c9e5ab256c2d9b63c262d90ea1e3ac')
+
+prepare() {
+  cd rclone-$pkgver
+
+  sed -i "1s/python$/&2/" bin/make_manual.py bin/make_backend_docs.py
+
+  mkdir -p .gopath/src/github.com/rclone
+  ln -sf "$PWD" .gopath/src/github.com/rclone/rclone
+  export GOPATH="$PWD/.gopath"
+
+  go get github.com/rclone/rclone
+}
+
+build() {
+  cd rclone-$pkgver/.gopath/src/github.com/rclone/rclone
+
+  PATH="$GOPATH/bin:$PATH" make TAG=v$pkgver rclone rclone.1 MANUAL.html MANUAL.txt
+
+  ./rclone genautocomplete bash rclone.bash_completion
+  ./rclone genautocomplete zsh rclone.zsh_completion
+}
+
+check() {
+  cd rclone-$pkgver/.gopath/src/github.com/rclone/rclone
+  make TAG=v$pkgver test || warning "Tests failed"
+}
+
+package() {
+  cd rclone-$pkgver/.gopath/src/github.com/rclone/rclone
+  make TAG=v$pkgver DESTDIR="$pkgdir" install
+
+  install -Dm644 rclone.bash_completion "$pkgdir"/usr/share/bash-completion/completions/rclone
+  install -Dm644 rclone.zsh_completion "$pkgdir"/usr/share/zsh/site-functions/_rclone
+
+  install -Dm644 COPYING "$pkgdir"/usr/share/licenses/$pkgname/COPYING
+
+  install -Dm644 rclone.1 "$pkgdir"/usr/share/man/man1/rclone.1
+  install -d "$pkgdir"/usr/share/doc/$pkgname
+  install -t "$pkgdir"/usr/share/doc/$pkgname -m644 MANUAL.html MANUAL.txt
+}


More information about the arch-commits mailing list